PHP Manual
Prev |  | Next

# get_class_methods

(PHP 4, PHP 5)

get_class_methods -- Gets the class methods' names

## Description

array get_class_methods ( mixed class_name )

Gets the class methods names.

## Parameters

`class_name`

  The class name or an object instance

## Return Values

Returns an array of method names defined for the class specified by `class_name`. In case of an error, it returns `NULL`.

## ChangeLog

Version | Description
--- | ---
5.0.0 | As of PHP 5, this function returns the name of the methods as they were declared (case-sensitive). In PHP 4 they were lowercased.
4.0.6 | The ability of specifying the object itself has been added.

## Examples

Example 1. get_class_methods() example

`<?php class myclass { // constructor function myclass() { return(true); } // method 1 function myfunc1() { return(true); } // method 2 function myfunc2() { return(true); } } $class_methods = get_class_methods('myclass'); // or $class_methods = get_class_methods(new myclass()); foreach ($class_methods as $method_name) { echo "$method_name\n"; } ?>`

The above example will output:

    myclass
    myfunc1
    myfunc2

## See Also

get_class()
get_class_vars()
get_object_vars()

Prev | Home | Next
class_exists | Up | get_class_vars